Bug 1655203 - Laptop internal display remains blank after an external screen is disconnected
Summary: Laptop internal display remains blank after an external screen is disconnected
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 29
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-01 02:28 UTC by Chris Koresko
Modified: 2019-11-27 20:19 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 20:19:16 UTC


Attachments (Terms of Use)

Description Chris Koresko 2018-12-01 02:28:39 UTC
Description of problem:

Starting with a configuration in which an external screen is the only active display, and then disconnecting the external screen, sometimes fails to cause the internal laptop screen to become active.  The result is that the GUI desktop is not displayed until the external screen is reconnected.  

The impact is that suspending the machine and removing it from its dock (to which the external screen is attached) and resuming it leaves the machine stuck in a nearly useless configuration without a graphical display.  The only way I've found to recover from this is restart the display manager (or simply reboot).

Version-Release number of selected component (if applicable):

Fedora 29.  I never saw this with Fedora 25-28.

How reproducible:

This is a sporadic issue that seems to happen perhaps one time in 5 (i.e., every 10 times the laptop is disconnected from its external screen it is left without an active display roughly twice.)

Steps to Reproduce:
1. Connect laptop to external display and log in to an account configured to use the external display only (and turn off the internal display).
2. Suspend the laptop to RAM and remove it from the dock, thereby disconnecting the external display.
3. Wake the laptop from suspend.  Usually the display appears on the laptop's internal screen, but sometimes it doesn't.

Actual results:

Sporadically the laptop is left without a visible GUI desktop.

Expected results:

GUI desktop always becomes visible on the laptop's internal display when no other display is connected.

Additional info:

Laptop is a Dell Latitude E7240 with Intel on-chip graphics and 1366x768 built-in display.  External display is a 4096x2160 (UHD) TV connected via the DisplayPort on a Dell dock.  

OS is Fedora 29 running Plasma as the desktop.  The GUI is normally configured via the Plasma graphical Settings utility to use only the external screen when the laptop is docked.

When the failure occurs, the laptop's OS is still alive.  It's possible to switch to a text console on the laptop (Ctrl+Alt+F3) and log in.  Running 'DISPLAY=:0 xrandr' gives the following output:

Screen 0: minimum 320 x 200, current 1366 x 768, maximum 8192 x 8192
eDP-1 connected primary (normal left inverted right x axis y axis)
   1366x768      60.00 +  40.00  
   1280x720      60.00    59.99    59.86    59.74  
   1024x768      60.04    60.00  
   960x720       60.00  
   928x696       60.05  
   896x672       60.01  
   1024x576      59.95    59.96    59.90    59.82  
   960x600       59.93    60.00  
   960x540       59.96    59.99    59.63    59.82  
   800x600       60.00    60.32    56.25  
   840x525       60.01    59.88  
   864x486       59.92    59.57  
   700x525       59.98  
   800x450       59.95    59.82  
   640x512       60.02  
   700x450       59.96    59.88  
   640x480       60.00    59.94  
   720x405       59.51    58.99  
   684x384       59.88    59.85  
   640x400       59.88    59.98  
   640x360       59.86    59.83    59.84    59.32  
   512x384       60.00  
   512x288       60.00    59.92  
   480x270       59.63    59.82  
   400x300       60.32    56.34  
   432x243       59.92    59.57  
   320x240       60.05  
   360x202       59.51    59.13  
   320x180       59.84    59.32  
HDMI-1 disconnected (normal left inverted right x axis y axis)
DP-1 disconnected (normal left inverted right x axis y axis)
HDMI-2 disconnected (normal left inverted right x axis y axis)
DP-1-1 disconnected (normal left inverted right x axis y axis)
DP-1-2 disconnected (normal left inverted right x axis y axis)
DP-1-3 disconnected (normal left inverted right x axis y axis)

I believe I recall that switching repeatedly between virtual consoles (Ctrl+Alt+Fx) can crash the GUI, which brings the GDM login screen up on the laptop's display.

It's not clear to me that xrandr is at fault here, but if the bug isn't in xrandr itself then it's likely to be in something that relies on it.

Comment 1 Chris Koresko 2018-12-10 23:22:19 UTC
An update to the original bug:  It happens in GNOME, too.  However, it seems to be less severe: If I switch to a text console (ctrl+alt+f3) and back (ctrl+alt+f2) I get the GDM login screen which prompts for my password.  Typing that gets me back to the desktop, which is still showing the session that was running when I suspended the machine.

Comment 2 Ben Cotton 2019-10-31 20:20:13 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-11-27 20:19:16 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.